curl --request POST \
--url https://api.example.com/api/projects/{projectId}/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"permissions": [
"owner"
],
"filePermissions": []
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissions": [
"owner"
],
"description": "<string>",
"filePermissions": [
{
"effect": "allow",
"actions": [],
"id": "<string>",
"patterns": "<string>"
}
],
"roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>"
}
}Create a new group within a project with specified permissions.
curl --request POST \
--url https://api.example.com/api/projects/{projectId}/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"permissions": [
"owner"
],
"filePermissions": []
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissions": [
"owner"
],
"description": "<string>",
"filePermissions": [
{
"effect": "allow",
"actions": [],
"id": "<string>",
"patterns": "<string>"
}
],
"roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gorules.io/llms.txt
Use this file to discover all available pages before exploring further.
Personal access token is obtained through your profile
ID of the project to create the group in
Name of the group
Description of the group
List of permissions to grant to the group
owner, documents, releases, releases:manage, releases:deploy, releases:delete, integrations:manage, documents:full, documents:view-content, documents:edit-content, documents:edit-view, branches, branches:create, branches:merge, branches:delete, project:manage, environments, environments:manage, environments:delete File-level permissions for the group
Show child attributes
The created group
The created group
Unique identifier of the group
Name of the group
ID of the project this group belongs to
List of permissions granted to this group
owner, documents, releases, releases:manage, releases:deploy, releases:delete, integrations:manage, documents:full, documents:view-content, documents:edit-content, documents:edit-view, branches, branches:create, branches:merge, branches:delete, project:manage, environments, environments:manage, environments:delete Description of the group
File-level permissions for this group
Show child attributes
ID of the access profile managing this group
Access profile that manages this group
Show child attributes
Was this page helpful?